U++ - Bug #998
Switching menu bar item is potentialy slow (can generate lag effect)
02/26/2015 11:39 PM - Zbigniew Rebacz

Status: New Start date: 02/26/2015
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: CtriCore Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

For example in IDE the process look like this.
- Mouse enter menu bar (Menu Bar has got focus)
- Menu bar item is open
- Mouse move to another menu entry.
- Focus Lost
- Code Editor paints caret (This generate something like lag effect!)
- Another menu bar item is open

Moving fast from menu items generate flashing caret in code editor.

History

#1 - 02/26/2015 11:52 PM - Zbigniew Rebacz

Even in keyboard switching "Focus is Lost" for a while.

#2 - 02/27/2015 01:15 AM - Zbigniew Rebacz
- Assignee set to Miroslav Fidler
- Priority changed from Normal to High

It seems to be GTK back-end problem (Not tested on X11.

#3 - 02/27/2015 01:16 AM - Zbigniew Rebacz

- Category changed from CtriLib to CtrlCore

#4 - 02/27/2015 12:05 PM - Zbigniew Rebacz

On X11 also OK.

#5 - 02/28/2015 05:07 PM - Miroslav Fidler
- Priority changed from High to Normal

Something to fix, but hardly blocker...

#6 - 02/28/2015 09:24 PM - Zbigniew Rebacz

08/23/2025

12




What do you mean by "hardly blocker"?

#7 - 02/28/2015 11:11 PM - Miroslav Fidler

You told me you are assigning all things to be resolved before release "High" priority.

| do not thing this blocks the release.
